2011-12-13  Gonzalo Paniagua Javier  <gonzalo@xamarin.com>

	Fix MAC address for Mac/iOS

	The position of the first byte to copy was wrong. Fixes bug #2012.

2011-11-04  Rodrigo Kumpera  <kumpera@gmail.com>

	Fix marshaling of Win32_IN6_ADDR.

2011-07-05  Jeffrey Stedfast  <jeff@xamarin.com>

	Implemented a shared way to detect MacOSX for System.dll

2011-02-19  Miguel de Icaza  <miguel@gnome.org>

	[594642]
	System.Net.NetworkInformation.NetworkInterface.GetAllNetworkInterfaces
	fix for MacOS X

2010-09-29  Atsushi Eno  <atsushi@ximian.com>

	Add some missing StructLayoutAttributes.

2010-09-06  Atsushi Eno  <atsushieno@Atsushi-Eno-no-MacBook.local>

	Fix NetworkInterface marshaling size on OSX and avoid crash.

2010-08-11  Atsushi Eno  <atsushi@ximian.com>

	Fix pinvoked function name and marshaling of MIB stats.

2010-08-09  Gonzalo Paniagua Javier  <gonzalo.mono@gmail.com>

	* Ping.cs: generates a random ICMP Identifier field per Echo to
	help match up pings and their responses. Now has valid TTL and
	timeouts apply to the correct pings. Also fixed bugs were received
	Sequence and Identifier would be corrupt for values >255, and
	fixed corruption of the Data field. Patch by Michael Walsh that
	fixes bug #627330.

2010-07-05 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* NetworkInterface.cs: avoid endless loop when a bad length is
	received for AF_PACKET. Fixes bug #601783.

2010-06-22 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Ping.cs: we need to read the output to give the process time
	to start. Fixes bug #591136.

2010-03-25  Marek Safar  <marek.safar@gmail.com>

	* IPGlobalProperties.cs: Made Win32_IN6_ADDR verifiable.

2009-12-07 Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* Ping.cs: Try to detect the path to the bin command, since different
	Unix systems store it in different places.
	Fixes #519272.

2009-10-06 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* GatewayIPAddressInformationCollection.cs:
	* IPInterfaceProperties.cs: implement GatewayAddresses for linux.
	Original patch by Christoph von Wittich.
	Fixes bug #544640.

2009-09-29 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Ping.cs: fix the check for a time-out return value from 'ping'.

2009-09-24  Zoltan Varga  <vargaz@gmail.com>

	* LinuxNetworkInterfaceMarshal.cs: Add StructLayout attribute to structures, so
	the aot compiler can generate PtrToStructure wrappers for them.

2009-09-19 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Ping.cs: if we receive a packet that is ignored, adjust the
	timeout. Fixes bug #538013.

2009-05-16  Miguel de Icaza  <miguel@novell.com>

	* Apply patch from Alex Shulgin
	<alexander.shulgin@yessoftware.com> to support OSX in
	NetworkInformation classes.

2009-05-03 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Ping.cs: we just need the address(es), not a host entry. This avoids
	querying the DNS server(s) when the target is an IP address.

2009-03-24 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Ping.cs: MacOS has different arguments for ping.
	Bug #486904 fixed.

2009-01-26  Christian Prochnow <cproch@seculogix.de>

	* Ping.cs: ignore ICMP echo request packet in case we ping
	  localhost.

2009-01-11  Atsushi Enomoto  <atsushi@ximian.com>

	* NetworkInformationPermission.cs,
	  NetworkInformationPermissionAttribute.cs : implement some,
	  otherwise it blocks compilation.

2008-12-20 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Ping.cs: use the new internal method in Socket to avoid having to
	throw exceptions when there's a timeout.

2008-12-11 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Ping.cs: close the socket in SendPrivileged. Use Buffer.BlockCopy
	instead of Array.Copy. Return IPStatus.Unknown instead of throwing an
	exception for unknown status codes received.

2008-11-29  Miguel De Icaza  <miguel@novell.com>

	* NetworkInterface.cs: Do not throw an exception when scanning
	external kernel information that might cause problems.   The
	application should not crash just trying to fetch interfaces from
	the system. 

2008-11-20 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* Ping.cs: the time for the arguments of 'ping' is in seconds. Don't
	read the output of running the command, since we trust the return
	code.

2008-10-27  Atsushi Enomoto  <atsushi@ximian.com>

	* Ping.cs : use privileged mode for non-unix. On Windows there is
	  no /usr/bin/ping.

2008-10-04 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* NetworkInterface.cs: detect wireless 802.11 on linux.

2008-09-28 Gonzalo Paniagua Javier <gonzalo.mono@gmail.com>

	* NetworkInterface.cs: special case for loopback interfaces so that
	their a physical interface address is PhysicalInterfaceAddress.None.
	Fixes bug #422118.

2008-08-15  Atsushi Enomoto  <atsushi@ximian.com>

	* IPInterfaceProperties.cs, UnicastIPAddressInformation.cs,
	  UnicastIPAddressInformationCollection.cs : fixed bug #416526, based
	  on the patch by Fredrik Kling. support UnicastIPAddressInformation
	  on win32.

2008-08-06  Atsushi Enomoto  <atsushi@ximian.com>

	* IPGlobalProperties.cs : fixed ToEndPoint() to not bork at 
	  parsing IPv6 string. Fixed bug #410006.

2008-07-31  Jb Evain  <jbevain@novell.com>

	* NetworkInformationException.cs: cleanup for NET_2_1.

2008-07-17  Marek Habersack  <mhabersack@novell.com>

	* IPInterfaceProperties.cs: implemented UnicastAddresses

2008-07-14  Marek Habersack  <mhabersack@novell.com>

	* NetworkInterface.cs: implemented support for Linux. Parts
	contributed by Eric Butler (eric@extremeboredom.net), thanks!

	* GatewayIPAddressInformationCollection.cs,
	IPInterfaceProperties.cs, IPAddressInformationCollection.cs: added
	support for Linux. Patch contributed by Eric Butler
	(eric@extremeboredom.net), thanks!

	* IPv4InterfaceProperties.cs: implemented support for Linux.

	* LinuxNetworkInterfaceMarshal.cs: added. Contains a set of
	Linux-specific structures required for accessing the network
	information. Patch contributed by Eric Butler
	(eric@extremeboredom.net), thanks!

	* MulticastIPAddressInformation.cs: added support for Linux
	multicast information. Patch contributed by Eric Butler
	(eric@extremeboredom.net), thanks!

	* IPv4InterfaceStatistics.cs: use the parent IfacePath to get the
	path to the interface description file.

	* UnicastIPAddressInformation.cs: added stubs for
	LinuxUnicastIPAddressInformation. Patch contributed by Eric Butler
	(eric@extremeboredom.net), thanks!

	* Ping.cs: Use /bin/ping when running as non-root user
	(implementation by Jackson Harper <jaharper@novell.com>) or use
	raw sockets if running as root or if the current process has the
	CAP_NET_RAW Linux capability set while running as an unprivileged
	user.

2008-03-07  Miguel de Icaza  <miguel@novell.com>

	* NetworkInterface.cs: Use GetFileSystemEntries, on some systems
	the files do not appear to be symlinks, but directories.

2008-02-18  Miguel de Icaza  <miguel@novell.com>

	* IPv4InterfaceStatistics.cs: Implemented Linux support.

	* NetworkInterface.cs: Implemented Linux support.

	TODO: still missing GetIPProperties.

2007-10-23  Atsushi Enomoto  <atsushi@ximian.com>

	* Ping.cs : Do not call OnPingCompleted() at CancelAsync() it should
	  be called at RunWorkerCompleted. Simplified RunWorkerCompleted.

2007-09-29  Miguel de Icaza  <miguel@novell.com>

	* NetworkInterface.cs (GetAllNetworkInterfaces): return an empty
	array instead of throwing an exception on operating systems where
	we can not detect the network interfaces. 

2007-09-07  Atsushi Enomoto  <atsushi@ximian.com>

	* IPGlobalProperties.cs : implemented properties on linux.

2007-09-06  Atsushi Enomoto  <atsushi@ximian.com>

	* Ping.cs, PingReply.cs, PingCompletedEventArgs.cs : implemented
	  in managed code.

2007-09-03  Atsushi Enomoto  <atsushi@ximian.com>

	* IPGlobalStatistics.cs : Mib-* class is nonpublic.
	* Win32NetworkInterfaceMarshal.cs IPv4InterfaceProperties.cs
	  IPGlobalProperties.cs IPInterfaceProperties.cs
	  NetworkInterface.cs : move Win32NetworkInterfaceMarshal.FixedInfo to
	  Win32_FIXED_INFO.Instance and share it with Win32IPGlobalProperties.
	  Fixed GetUdp[6]Table() / GetTcp[6]Table() marshalling issue.

2007-08-29  Atsushi Enomoto  <atsushi@ximian.com>

	* NetworkInterface.cs,
	  IPv4InterfaceStatistics.cs
	  IPInterfaceProperties.cs
	  IPv4InterfaceProperties.cs
	  IPv6InterfaceProperties.cs
	  IPAddressCollection.cs
	  GatewayIPAddressInformation.cs
	  GatewayIPAddressInformationCollection.cs
	  IPAddressInformation.cs
	  IPAddressInformationCollection.cs
	  MulticastIPAddressInformation.cs
	  MulticastIPAddressInformationCollection.cs
	  UnicastIPAddressInformation.cs
	  UnicastIPAddressInformationCollection.cs
	  Win32NetworkInterfaceMarshal.cs (new) :
	  NetworkInterface implementation using Win32 API.

	  Not sure how MIB-based implementation (for Linux) is possible but
	  it will follow.

2007-08-27  Atsushi Enomoto  <atsushi@ximian.com>

	* IPGlobalProperties.cs : implemented remaining methods in
	  MibIPGlobalProperties. Support /usr/compat/linux/proc
	  for some BSD environment.

2007-08-27  Atsushi Enomoto  <atsushi@ximian.com>

	* IPGlobalProperties.cs, TcpStatistics.cs,
	  IPGlobalStatistics.cs, IcmpV4Statistics.cs,
	  IcmpV6Statistics.cs, UdpStatistics.cs :
	  and here is non-Windows version, based on /proc/net/snmp(6).

2007-08-27  Atsushi Enomoto  <atsushi@ximian.com>

	* IPGlobalProperties.cs, TcpConnectionInformation.cs,
	  TcpStatistics.cs, IPGlobalStatistics.cs, IcmpV4Statistics.cs,
	  IcmpV6Statistics.cs, UdpStatistics.cs :
	  initial implementation of IPGlobalProperties and its children
	  for Win32 API, mostly done. Non-Windows implementation should
	  follow.

2007-08-13  Alan McGovern  <amcgovern@novell.com>

	* PhysicalAddress.cs: Added patch for #82403 to fix some parsing
	errors and a bug in .Equals()

2006-03-11  Miguel de Icaza  <miguel@novell.com>

	* NetworkChange.cs: Use pragmas to eliminate warnings from events
	that we do not trigger yet.

	This is a candidate for using Aaron's NetworkManager code.  But
	would make us depend on d-bus.

	* NetworkInformationException.cs: Use error_code for ErrorCode,
	instead of NativeErrorCode.   Fixes warning. 

2006-02-24 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* UnicastIPAddressInformation.cs:
	* PingException.cs:
	* TcpConnectionInformation.cs:
	* IPv4InterfaceStatistics.cs:
	* NetworkInformationException.cs:
	* IPAddressInformation.cs:
	* MulticastIPAddressInformationCollection.cs:
	* TcpStatistics.cs:
	* IPGlobalStatistics.cs:
	* NetworkInformationPermission.cs:
	* MulticastIPAddressInformation.cs:
	* IcmpV4Statistics.cs:
	* IcmpV6Statistics.cs:
	* IPv4InterfaceProperties.cs:
	* PhysicalAddress.cs:
	* IPv6InterfaceProperties.cs:
	* GatewayIPAddressInformationCollection.cs:
	* ChangeLog: Modified file.
	* UnicastIPAddressInformationCollection.cs:
	* IPAddressCollection.cs:
	* NetworkInformationPermissionAttribute.cs:
	* Ping.cs:
	* NetworkChange.cs:
	* IPAddressInformationCollection.cs:
	* UdpStatistics.cs:
	* GatewayIPAddressInformation.cs:
	* IPGlobalProperties.cs:
	* IPInterfaceProperties.cs:
	* NetworkInterface.cs: implemented or stubbed out.

2006-02-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* NetBiosNodeType.cs:
	* IPStatus.cs:
	* NetworkInterfaceType.cs:
	* SuffixOrigin.cs:
	* DuplicateAddressDetectionState.cs:
	* NetworkInformationAccess.cs:
	* OperationalStatus.cs:
	* TcpState.cs:
	* PingCompletedEventHandler.cs:
	* NetworkInterfaceComponent.cs:
	* NetworkAvailabilityChangedEventHandler.cs:
	* NetworkAvailabilityEventArgs.cs:
	* PrefixOrigin.cs:
	* NetworkAddressChangedEventHandler.cs:
	* PingCompletedEventArgs.cs:
	* PingOptions.cs:
	* PingReply.cs: all enums, all event handlers/args + 2 classes.

